#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	RT
%define	pnam	Authen-ExternalAuth
Summary:	RT::Authen::ExternalAuth - RT Authentication using External Sources
Summary(pl.UTF-8):	RT::Authen::ExternalAuth - uwierzytelnianie w RT przy użyciu zewnętrznych źródeł
Name:		perl-RT-Authen-ExternalAuth
Version:	0.17
Release:	1
License:	GPL version 2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/RT/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f1d17f4c83d7ec2615db2e42f7b82d19
URL:		http://search.cpan.org/dist/RT-Authen-ExternalAuth/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-ldap
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rt >= 3.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A complete package for adding external authentication mechanisms to
RT. It currently supports LDAP via Net::LDAP and External Database
authentication for any database with an installed DBI driver.

It also allows for authenticating cookie information against an
external database through the use of the RT-Authen-CookieAuth
extension.

%description -l pl.UTF-8
Kompletny pakiet pozwalający na dodawanie zewnętrznych mechanizmów
uwierzytelniania do RT. Aktualnie obsługuje LDAP poprzez Net::LDAP
oraz zewnętrzne bazy danych dla każdej bazy mającej zainstalowany
sterownik DBI.

Pozwala także na uwierzytelnianie informacji z ciasteczek (cookie)
względem zewnętrznej bazy danych poprzez rozszerzenie
RT-Authen-CookieAuth.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

cp etc/RT_SiteConfig.pm RT_SiteConfig.pm.example

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README RT_SiteConfig.pm.example
%dir %{perl_vendorlib}/RT/Authen
%{perl_vendorlib}/RT/Authen/*.pm
%dir %{perl_vendorlib}/RT/Authen/ExternalAuth
%{perl_vendorlib}/RT/Authen/ExternalAuth/*.pm
%dir %{perl_vendorlib}/RT/Authen/ExternalAuth/DBI
%{perl_vendorlib}/RT/Authen/ExternalAuth/DBI/*.pm
%{_mandir}/man3/*
%changelog
* Sat Feb 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-RT-Authen-ExternalAuth.git;a=log;h=master

* Sun Feb 16 2014 Andrzej Zawadzki <zawadaa@pld-linux.org> a0bc01c
- up to 0.17

* Mon Feb 11 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> 156bab7
- up to 0.12
- fix for
  http://comments.gmane.org/gmane.comp.bug-tracking.request-tracker.user/69192

* Thu Apr 19 2012 Andrzej Zawadzki <zawadaa@gmail.com> b173559
- up to 0.10

* Wed Oct 26 2011 Sławomir Paszkiewicz <paszczus@pld-linux.org> 3fcc091
- fixed Source0-md5, added BR: perl-ldap

* Wed Oct 26 2011 Sławomir Paszkiewicz <paszczus@pld-linux.org> 0e7c1b9
- updated to 0.09 (support for RT 4.0)

* Sat Apr 11 2009 Jakub Bogusz <qboosh@pld-linux.org> b37051a
- sanitized, pl

* Fri Mar 13 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> d2fc207
- added example config, rel 2

* Fri Mar 13 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> deff8cc
- updated to 0.08

* Mon Jan 19 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> f234f60
- added %dir

* Mon Jan 19 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 7f677d1
- initial

